using System.Text.RegularExpressions;

namespace Biblioteka;

public static class RozszerzeniaDlaString
{
  public static bool AdresPoprawny(this string input)
  {
      // użyj prostego wyrażenia regularnego,
      // żeby skontrolować poprawność adresu e-mail
      return Regex.IsMatch(input,
      @"[a-zA-Z0-9\.-_]+@[a-zA-Z0-9\.-_]+");
  }
}
